새로운 문서를 작성 중입니다.새 문서로 이동
ClawOps Docs
API Reference

에이전트 수정

PATCH
/v1/accounts/{accountId}/agents/{agentId}

에이전트 이름과 주요 실시간 음성 설정을 수정합니다. model은 OpenAI Realtime 에이전트, voice는 Cartesia 외부 TTS 에이전트에서 변경할 수 있습니다. 그 외 구성은 대시보드에서 변경합니다.

Authorization

BearerAuth
AuthorizationBearer <token>

API Key를 Bearer 토큰으로 전달

In: header

Path Parameters

accountId*string

계정 ID

agentId*string

에이전트 ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/accounts/string/agents/string" \  -H "Content-Type: application/json" \  -d '{    "name": "야간 고객 지원 에이전트"  }'
{
  "agentId": "cmagent123",
  "name": "고객 지원 에이전트",
  "instructions": "당신은 친절하고 유능한 한국어 음성 에이전트입니다. 사용자의 요청을 주의 깊게 듣고 정확하고 간결하게 답하세요.",
  "greeting": true,
  "language": "ko",
  "model": "gpt-realtime-2.1-mini",
  "voice": "7706804e-ea85-443a-968a-b9bf363bdde8",
  "voiceProvider": "cartesia",
  "voiceModel": "sonic-3.5",
  "configuration": {
    "outputMode": "realtime_voice",
    "language": "string",
    "knowledge": {
      "enabled": true,
      "topK": 1
    },
    "stt": {
      "provider": "openai",
      "model": "gpt-4o-transcribe",
      "language": "ko",
      "prompt": "string",
      "temperature": 0,
      "detect_language": true,
      "noise_reduction_type": "near_field",
      "use_realtime": true
    },
    "llm": {
      "provider": "string",
      "model": "string",
      "voice": "string",
      "property1": "string",
      "property2": "string"
    },
    "tts": {
      "provider": "cartesia",
      "model": "sonic-3.5",
      "voice": "30cbffd2-8150-49ae-9350-1bb3c0c35f29",
      "language": "ko",
      "speed": 0.6,
      "volume": 0.5
    },
    "vad": {
      "provider": "silero",
      "min_silence_duration": 0,
      "min_speech_duration": 0,
      "prefix_padding_duration": 0,
      "max_buffered_speech": 1,
      "activation_threshold": 0,
      "sample_rate": 16000,
      "force_cpu": true
    },
    "session": {
      "turn_detection": "vad",
      "allow_interruptions": true,
      "min_endpointing_delay": 0,
      "max_endpointing_delay": 0,
      "min_interruption_duration": 0
    }
  },
  "phoneNumbers": [
    "07012340001"
  ],
  "dateCreated": "2019-08-24T14:15:22Z",
  "dateUpdated": "2019-08-24T14:15:22Z"
}
{
  "error": "string",
  "code": "recipient_blocked"
}
{
  "error": "string",
  "code": "recipient_blocked"
}
{
  "error": "string",
  "code": "recipient_blocked"
}
{
  "error": "string",
  "code": "recipient_blocked"
}
{
  "error": "string",
  "code": "recipient_blocked"
}